<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.cslg.report.mapper.InvalidReReport.ArgumentsMapper">

    <select id="getArguments" parameterType="cn.cslg.report.common.model.vo.invalidReReport.ArgumentsListVO" resultType="cn.cslg.report.entity.invalidReReport.Arguments">
        select * from ARGUMENTS
        <where>
            <foreach collection="argumentsListVOS" item="item" separator=" or ">
              (FEATURE_ID=#{item.featureId} and COMPARE_FILE_ID=#{item.proofId})
            </foreach>
        </where>

    </select>
</mapper>